from pydantic import BaseModel, EmailStr
from typing import Optional, Sequence


class LoginBase(BaseModel):
    username:str
    password:str

class LoginUpdate(BaseModel):
    username:Optional[str] = None
    password:Optional[str] = None

class LoginCreate(LoginBase):
    pass

class LoginRead(LoginBase):
    id:int

class UserUpdate(BaseModel):
    firstname:Optional[str]  = None
    lastname:Optional[str]  = None
    age: Optional[int]  = None
    email: Optional[EmailStr]  = None

class UserBase(UserUpdate):
    login_id: int

class UserCreate(UserBase):
    pass


class UserRead(UserBase):
    id:int